/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.math;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * 
 * @author Matthias Betz
 *
 */
public class PlaneTest {

	@Test
	public void testProjectPointToPlane() {
		Vector3d n = new Vector3d(0, 0, 1);
		Vector3d origin = new Vector3d(0, 0, 0);
		Plane plane = new Plane(n, origin);
		
		Vector3d p = new Vector3d(5, 5, 5);
		assertEquals(5, plane.getDistance(p), 0.00001);
		
		assertEquals(new Vector3d(5, 5, 0), plane.projectPointToPlane(p));
	}

}
